org.richfaces.renderkit.html

## Class CollapsiblePanelRenderer

- java.lang.Object
- - javax.faces.render.Renderer
  - - org.richfaces.renderkit.RendererBase
    - - org.richfaces.renderkit.html.DivPanelRenderer
      - - org.richfaces.renderkit.html.TogglePanelRenderer
        - - org.richfaces.renderkit.html.CollapsiblePanelRenderer

- All Implemented Interfaces:
    MetaComponentRenderer

      public class CollapsiblePanelRenderer
      extends TogglePanelRenderer

  Since:
    2010-08-27
  Author:
    akolonitsky

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `BEFORE_SWITCH`
    `static String` | `SWITCH`

    - ### Fields inherited from class org.richfaces.renderkit.html.TogglePanelRenderer

      `BEFORE_ITEM_CHANGE, ITEM_CHANGE, VALUE_POSTFIX`

    - ### Fields inherited from class javax.faces.render.Renderer

      `PASSTHROUGH_RENDERER_LOCALNAME_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CollapsiblePanelRenderer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `doEncodeBegin(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)` Template method for custom start encoding of concrete renderer.
    `protected void` | `doEncodeChildren(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `protected Class<? extends javax.faces.component.UIComponent>` | `getComponentClass()` Get base component slass , targetted for this renderer.
    `protected JSObject` | `getScriptObject(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `protected Map<String,Object>` | `getScriptObjectOptions(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `protected String` | `getStyleClass(javax.faces.component.UIComponent component)`

    - ### Methods inherited from class org.richfaces.renderkit.html.TogglePanelRenderer

      `addEventOption, decodeMetaComponent, doDecode, doEncodeEnd, encodeMetaComponent, getAjaxOptions, isSubmitted, partialEnd, partialStart`

    - ### Methods inherited from class org.richfaces.renderkit.html.DivPanelRenderer

      `addOnCompleteParam, addOnCompleteParam, attributeAsString, attributeAsString, attributeAsStyle, attributeAsStyle, capitalize, doEncodeItemBegin, doEncodeItemEnd, getPassThroughAttributes, getStyle, styleElement, writeJavaScript`

    - ### Methods inherited from class org.richfaces.renderkit.RendererBase

      `concatClasses, concatStyles, decode, encodeBegin, encodeChildren, encodeEnd, getResourcePath, getSkin, getUtils, isAlreadyRendered, preDecode, preEncodeBegin, queueComponentEventForBehaviorEvent, renderChildren`

    - ### Methods inherited from class javax.faces.render.Renderer

      `convertClientId, getConvertedValue, getRendersChildren`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SWITCH

          public static final String SWITCH

      See Also:
        Constant Field Values

    - #### BEFORE_SWITCH

          public static final String BEFORE_SWITCH

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CollapsiblePanelRenderer

          public CollapsiblePanelRenderer()

  - ### Method Detail

    - #### doEncodeBegin

          protected void doEncodeBegin(javax.faces.context.ResponseWriter writer,
                           javax.faces.context.FacesContext context,
                           javax.faces.component.UIComponent component)
                                throws IOException

      Description copied from class: `RendererBase`
      Template method for custom start encoding of concrete renderer. All parameters checking and writer is performed in original `RendererBase.encodeBegin(FacesContext, UIComponent)` method.
      Overrides:
        `doEncodeBegin` in class `TogglePanelRenderer`
      Throws:
        `IOException`

    - #### getStyleClass

          protected String getStyleClass(javax.faces.component.UIComponent component)

      Overrides:
        `getStyleClass` in class `TogglePanelRenderer`

    - #### getScriptObject

          protected JSObject getScriptObject(javax.faces.context.FacesContext context,
                                 javax.faces.component.UIComponent component)

      Overrides:
        `getScriptObject` in class `TogglePanelRenderer`

    - #### getScriptObjectOptions

          protected Map<String,Object> getScriptObjectOptions(javax.faces.context.FacesContext context,
                                                  javax.faces.component.UIComponent component)

      Overrides:
        `getScriptObjectOptions` in class `TogglePanelRenderer`

    - #### doEncodeChildren

          protected void doEncodeChildren(javax.faces.context.ResponseWriter writer,
                              javax.faces.context.FacesContext context,
                              javax.faces.component.UIComponent component)
                                   throws IOException

      Overrides:
        `doEncodeChildren` in class `TogglePanelRenderer`
      Throws:
        `IOException`

    - #### getComponentClass

          protected Class<? extends javax.faces.component.UIComponent> getComponentClass()

      Description copied from class: `RendererBase`
      Get base component slass , targetted for this renderer. Used for check arguments in decode/encode.
      Overrides:
        `getComponentClass` in class `TogglePanelRenderer`
      Returns:

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.